summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2011-02-03 13:08:37 +1100
committerAndrew Tridgell <tridge@samba.org>2011-02-07 13:22:00 +1100
commit72e1a39effba7dca8d437c8cad009be6fb2c4506 (patch)
treeda9d5e6dcd1f09411548ecaf0a99cd324bc4c9e2 /configure
parent9f9b363447f0f357ea610b7ac23cb3a9b53da96d (diff)
downloadsamba-72e1a39effba7dca8d437c8cad009be6fb2c4506.tar.gz
waf: added top level build rules
This adds build rules for the top level directory based on the ones from source4. This is an intermediate step towards a combined top level build which will build both the Samba3 (bin/smbd, bin/nmbd etc) and Samba4 (bin/samba) binaries from a single build Pair-Programmed-With: Andrew Bartlett <abartlet@samba.org>
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure14
1 files changed, 14 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 00000000000..72f758e5adc
--- /dev/null
+++ b/configure
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+PREVPATH=`dirname $0`
+
+WAF=./buildtools/bin/waf
+
+# using JOBS=1 gives maximum compatibility with
+# systems like AIX which have broken threading in python
+JOBS=1
+export JOBS
+
+cd . || exit 1
+$WAF configure "$@" || exit 1
+cd $PREVPATH